\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{myletter}
              [1997/08/28 v1.1c
               LaTeX myletter class---specific to whomever]
%
%  Provides:	\name  \degree  \position  \phone  \email  \url  \signature
%		\dateit  \whoto  \opening  \closing
%
%  Option:  noheader		- suppress letterhead at top of page,
%				  which contains the following:
%  \name{<my_name>}		- default {Postmaster} 
%  \degree{<my_degrees>}	- default {}
%  \position{<my_position>}	- default {Staff}
%  \phone{<my_phone>}		- default {364 2362}
%  \email{<my_email>}		- default {postmaster@cosc.canterbury.ac.nz}
%  \url{<my_url>}		- default {http://www.cosc.canterbury.ac.nz/}
%  \signature{<my_signature>}	- default {<my_name>} (used in \closing)
%
%  \dateit{<date>}		- add the date ({\today} for today's <date>)
%  \whoto{<address>}		- address of the recipient
%  \opening{<greeting>}		- opening greeting (appends a comma)
%  \closing{<signoff>}		- closing signoff (appends a comma)
%
% Example usage of `myletter' class:
%
% \documentclass[times]{myletter}
% \begin{document}
% \dateit{\today}
% \whoto{Santa Claus,\\Head of Elves,\\North Pole.}
% \opening{Dear Santa}
% Enclosed is my wish list.
% \closing{Yours sincerely}
% \end{document}
%
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letterhead}}
\ProcessOptions
\LoadClass{letterhead}
%
%  CHANGE THESE `letterhead' commands TO SUIT YOURSELF:
%
\name{Mr. Black Sheep}
\degree{Baa, Baa.}
\position{Lecherer}
\phone{364 2987 x7762}
\email{postmaster@cosc.canterbury.ac.nz}
\url{http://www.cosc.canterbury.ac.nz/\~{}baawolf}
\signature{B. Sheep\\Lecherer}
%
