\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{mynewletter}
              [1995/12/14 v1.1nc
               LaTeX myletter class---specific to Paul Ashton]
%% Changes from v1.0c
% added \url
% changed P B to Private bag
%%%%%%%%%%%%%%%%%%%
%
%  Provides:    \name  \degree  \position  \phone  \email  \signature
%               \dateit  \whoto  \opening  \closing \url
%
%  Option:  noheader            - suppress letterhead at top of page,
%                                 which contains the following:
%  \name{<my_name>}             - default {Postmaster} 
%  \position{<my_position>}     - default {Staff}
%  \phone{<my_phone>}           - default {364-2362}
%  \email{<my_email>}           - default {postmaster@cosc.canterbury.ac.nz}
%  \url{<my_url>                - default {http://www.cosc.canterbury.ac.nz}
%  \signature{<my_signature>}   - default {<my_name>} (used in \closing)
%
%  \dateit{<date>}              - add the date ({\today} for today's <date>)
%  \whoto{<address>}            - address of the recipient
%  \opening{<greeting>}         - opening greeting (appends a comma)
%  \closing{<signoff>}          - closing signoff (appends a comma)
%
% Example usage of `myletter' class:
%
% \documentclass[times]{mynewletter}
% \begin{document}
% \dateit{\today}
% \whoto{Santa Claus,\\Head of Elves,\\North Pole.}
% 
% \opening{Dear Santa}
% 
% Enclosed is my wish list.
% 
% \closing{Yours sincerely}
% \end{document}
%
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{newletter}}
\ProcessOptions
\LoadClass{newletter}
%
%  CHANGE THESE `letterhead' commands TO SUIT YOURSELF:
%
\name{Dr Paul Ashton}
% \degree{B.Sc.(Hons), Ph.D. (Cantuar)}
\position{Senior Lecturer}
\phone{364 2987 x7766}
\email{paul@cosc.canterbury.ac.nz}
\www{http://www.cosc.canterbury.ac.nz/\~{}paul}
\signature{Paul Ashton\\Senior Lecturer}
%
