\NeedsTeXFormat{LaTeX2e}
\def\fileversion{0.1}
\def\filedate{2004/11/20}
\ProvidesClass{ucexam}[2004/10/20 0.1 University of Canterbury Exam Class]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[twoside,11pt]{article}

\RequirePackage{ifthen}
\RequirePackage{ucexamtitle}
\RequirePackage{ucexamcoversheet}
\RequirePackage{ucexamquestion}
\RequirePackage{fancyhdr}

% -------------==-------------

\pagestyle{fancy}
\fancyhead{}
\fancyhead[LE]{\UCPaperCode : \UCPaperTitle}
\fancyhead[RO]{\UCPaperTitle : \UCPaperCode}
\fancyfoot{}
\cfoot{\thepage}

% -------------==-------------

\renewcommand{\UCPages}{\pageref{uc@ExamEndOfPaper}}

% -------------==-------------

\newcounter{uc@ExamTotal}
\setcounter{uc@ExamTotal}{0}

\newenvironment{Exam}[1][100]{%
  \UCTotal{#1}
  \setcounter{uc@ExamTotal}{#1}
  \UCExamTitle
  \UCExamCoverSheet
  \clearpage}{%
  \label{uc@ExamEndOfPaper}
  \ifthenelse{\value{uc@ExamTotal} = \value{uc@TotalMarks}}{}{%
    \typeout{***EXAM: W A R N I N G}
    \typeout{***EXAM: Exam is out of \UCTotalMarks\space but it %
      should be out of \arabic{uc@ExamTotal}}}}
