%%
%% This is file `uocfax.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% uocfax.doc 
%% 
%% IMPORTANT NOTICE:
%% 
%% For the copyright see the source file.
%% 
%% Any modified versions of this file must be renamed
%% with new filenames distinct from uocfax.cls.
%% 
%% For distribution of the original source see the terms
%% for copying and modification in the file uocfax.doc.
%% 
%% This generated file may be distributed as long as the
%% original source files, as listed above, are part of the
%% same distribution. (The sources need not necessarily be
%% in the same archive or directory.)

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{uocfax}[2000/01/13
  University of Canterbury Facsimile]
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax

\LoadClass{article}
\RequirePackage{a4wide}
\RequirePackage{tabularx}
\RequirePackage{color}
\RequirePackage{graphicx}
\RequirePackage{lastpage}
\RequirePackage{uocfields}
\iffalse metacomment
---------------------------------==---------------------------------%
 TODO: When COSC swich over to TeX Live I'll rewrite this to use the
   pstricks package.
---------------------------------==---------------------------------%
\fi
\newfont{\memofont}{phvb at 40pt}
\newcommand{\Memo}{%
  {\color[gray]{0}{\memofont%
      f\hfill a\hfill c\hfill %
      s\hfill i\hfill m\hfill %
      i\hfill l\hfill e \hspace{2.6cm}}}}
%%
\newlength{\nameColWidth}
\setlength{\nameColWidth}{2.83cm}
\newlength{\fieldSkipHeight}
\setlength{\fieldSkipHeight}{6pt}
\newlength{\memoSkipHeight}
\setlength{\memoSkipHeight}{12pt}
\setlength{\arrayrulewidth}{0.5pt}
\newcommand{\sep}{\hline\vspace{-1em}}
\newfont{\fieldFont}{phvr at 8.89pt}
\newcommand{\MainFields}{
  {\fieldFont
    \begin{tabularx}{\linewidth}{@{}l X@{}}
      \\[\memoSkipHeight]
      \multicolumn{2}{@{}c@{}}{\Memo}\\[\memoSkipHeight]\\[4.5mm]
      \sep
      \\[\fieldSkipHeight]
      To:           & \tofield
      \\[\fieldSkipHeight]
      \sep
      \\[\fieldSkipHeight]
      \ifx\@empty\attention
      \else
        Attention:    & \attention
        \\[\fieldSkipHeight]
        \sep
      \\[\fieldSkipHeight]
      \fi
      Fax No.       & \facsimilieTo
      \\[\fieldSkipHeight]
      \sep
      \\[\fieldSkipHeight]
      \ifx\@empty\dispname
        Sender:       & \fromfield
        \\[\fieldSkipHeight]
        \sep
        \\[\fieldSkipHeight]
      \fi
      Date:         & \datefield\hfill%
      Total Pages~\pageref{LastPage}
      \\[\fieldSkipHeight]
      \sep
      \\[\fieldSkipHeight]
      \multicolumn{2}{@{}p{\linewidth}@{}}{\blurb}\\[\fieldSkipHeight]
      \sep
    \end{tabularx}}}
\newcommand{\blurb}{
  {\fieldFont
    This facsimile contains information which is confidential to the
    intended recipient.
    If you are not the intended recipient you must not read, use,
    distribute or copy the facsimile.
    If you have received this message in error please notify us
    immediately by email, facsimile, or telephone and return the
    original to us by mail.\par}}
\renewcommand{\and}{\\ &}

\newfont{\headfont}{phvr at 8pt}
\newfont{\nameFont}{phvro at 12pt}
\newlength{\nameSkipHeight}
\setlength{\nameSkipHeight}{9pt}
\newlength{\colwidth}
\setlength{\colwidth}{0.5\columnwidth}
\newlength{\colsep}
\setlength{\colsep}{0.06\paperwidth}
\newcommand{\setAddrSkipHeight}{%
  \newlength{\addrSkipHeight}%
  \ifx\@empty\dispname%
    \ifx\@empty\websiteaddr%
      \setlength{\addrSkipHeight}{5pt}%
    \else%
      \setlength{\addrSkipHeight}{0pt}%
    \fi%
  \else%
    \setlength{\addrSkipHeight}{0pt}%
    \fi}
\newcommand{\deptName}{%
  \multicolumn{3}{@{}l}{
    {\nameFont\departmentname}}}
\newcommand{\personName}{%
  \multicolumn{3}{@{}l}{%
    {\nameFont\dispname}}}
\newcommand{\deptNoWeb}{%
  \headfont%
  \begin{tabular}{@{}l@{\hspace{\colsep}} l p{\colwidth}}
    \deptName\vspace{-1em}\\[\nameSkipHeight]
    \organisationname        & Telephone: & \@phone\\[\addrSkipHeight]
    \postal                  & Facsimile: & \facsimilie\\[\addrSkipHeight]
    \cityname , \countryname & Email:     & \emailaddr
  \end{tabular}}
\newcommand{\dept}{%
  \headfont%
  \begin{tabular}{@{}l@{\hspace{\colsep}} l p{\colwidth}}
    \deptName\vspace{-1em}\\[\nameSkipHeight]
    \organisationname        & Telephone: & \@phone\\[\addrSkipHeight]
    \postal                  & Facsimile: & \facsimilie\\[\addrSkipHeight]
    \cityname                & Email:     & \emailaddr\\[\addrSkipHeight]
    \countryname             & Website:   & \websiteaddr
  \end{tabular}}
\newcommand{\putDeptAddr}{
  \ifx\@empty\websiteaddr
    \deptNoWeb
  \else
    \dept
  \fi}
\newcommand{\personal}{%
  \headfont%
  \begin{tabular}{@{}l@{\hspace{\colsep}} l p{\colwidth}}
    \personName\vspace{-1em}\\[\nameSkipHeight]
    \departmentname          & Telephone: & \@phone\\[\addrSkipHeight]
    \organisationname        & Facsimile: & \facsimilie\\[\addrSkipHeight]
    \postal                  & Email:     & \emailaddr\\[\addrSkipHeight]
    \cityname ,\countryname  & Website:   & \websiteaddr
  \end{tabular}}

\newcommand{\putAddr}{%
  \setAddrSkipHeight%
  \ifx\@empty\dispname
    \putDeptAddr
  \else
    \personal
  \fi}
\newlength{\ruleLength}
\setlength{\ruleLength}{\linewidth}
\addtolength{\ruleLength}{152mm}
\newcommand{\uoclogo}{%
  \makebox[\textwidth][l]{%
    \makebox[0pt][l]{%
      \hspace{-\linewidth}%
      \rule[26.3mm]{\ruleLength}{0.5pt}%
      \hspace{1.15cm}%
      \includegraphics[width=3.5cm, height=2.65cm]{logo.ps}}%
    \raisebox{3\nameSkipHeight}{%
      \putAddr}}%
  \par}

\renewcommand{\maketitle}{%
  \raisebox{0pt}[0pt][0pt]{%
    \noindent%
    \uoclogo}
  \par\noindent%
  \hspace{-2.22pt}%
  \MainFields\par%
  \vspace{6pt}\noindent}
\setlength{\voffset}{-1in}
\setlength{\topmargin}{2.3cm}
\setlength{\hoffset}{-1in}
\setlength{\oddsidemargin}{3cm}
\setlength{\textwidth}{432pt}
\renewcommand{\rmdefault}{pbk}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0.7em}
\setlength\parindent{0\p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\endinput
%%
%% End of file `uocfax.cls'.
