%%
%% This is file `uocmemo.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% uocmemo.doc 
%% 
%% IMPORTANT NOTICE:
%% 
%% For the copyright see the source file.
%% 
%% Any modified versions of this file must be renamed
%% with new filenames distinct from uocmemo.cls.
%% 
%% For distribution of the original source see the terms
%% for copying and modification in the file uocmemo.doc.
%% 
%% This generated file may be distributed as long as the
%% original source files, as listed above, are part of the
%% same distribution. (The sources need not necessarily be
%% in the same archive or directory.)
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{uocmemo}[2000/01/13%
  University of Canterbury Memorandum]
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax

\LoadClass{article}
\RequirePackage{a4wide}
\RequirePackage{tabularx}
\RequirePackage{color}
\RequirePackage{graphicx}
\RequirePackage{uocfields}
%%
\newfont{\memofont}{phvb at 40pt}
\newcommand{\Memo}{%
  {\color[gray]{0.8}{\memofont%
        m\hfill e\hfill m\hfill o\hfill %
        r\hfill a\hfill n\hfill d\hfill
        u\hfill m\hspace{2.6cm}}}}
\newlength{\nameColWidth}
\setlength{\nameColWidth}{2.83cm}
\newlength{\fieldSkipHeight}
\setlength{\fieldSkipHeight}{6pt}
\newlength{\memoSkipHeight}
\setlength{\memoSkipHeight}{12pt}
\setlength{\arrayrulewidth}{0.5pt}
\newcommand{\sep}{\hline\vspace{-1em}}
\newfont{\fieldFont}{phvr at 8.89pt}
\newcommand{\MainFields}{
  {\fieldFont
    \begin{tabularx}{\textwidth}{@{}l X@{}}
      \multicolumn{2}{@{}c@{}}{\Memo}\\[\memoSkipHeight]
      \sep
      \\[\fieldSkipHeight]
      To:      & \tofield
      \\[\fieldSkipHeight]
      \sep
      \\[\fieldSkipHeight]
      \ifx\@empty\dispname
        From:    & \fromfield
        \\[\fieldSkipHeight]
        \sep
        \\[\fieldSkipHeight]
      \fi
      \ifx\@empty\ccfield
      \else
        CC:      & \ccfield
        \\[\fieldSkipHeight]
        \sep
        \\[\fieldSkipHeight]
      \fi
      Date:    & \datefield
      \\[\fieldSkipHeight]
      \sep
      \\[\fieldSkipHeight]
      Subject: & \subjfield
      \\[\fieldSkipHeight]
      \hline
    \end{tabularx}}}
\renewcommand{\and}{\\ &}


\newfont{\headfont}{phvr at 8pt}
\newfont{\nameFont}{phvro at 12pt}
\newlength{\nameSkipHeight}
\setlength{\nameSkipHeight}{9pt}
\addtolength{\nameSkipHeight}{1mm}
\newcommand{\setAddrSkipHeight}{%
  \newlength{\addrSkipHeight}%
  \ifx\@empty\dispname%
    \setlength{\addrSkipHeight}{5pt}%
  \else%
    \setlength{\addrSkipHeight}{0pt}%
  \fi}
\newcommand{\deptName}{%
  \multicolumn{2}{@{}l}{
    {\nameFont \departmentname}}}
\newcommand{\personName}{%
  \multicolumn{2}{@{}l}{%
    {\nameFont \dispname}}}
\newcommand{\putAddr}{
  \setAddrSkipHeight%
  {\headfont%
    \begin{tabular}{@{}l l}
      \ifx\@empty\dispname
        \deptName\vspace{-1em}\\[\nameSkipHeight]
      \else
      \personName\vspace{-1em}\\[\nameSkipHeight]
        \multicolumn{2}{@{}l}{\departmentname}\\[\addrSkipHeight]
      \fi
      Telephone: & \phonenum\\[\addrSkipHeight]
      Extension: & \extension\\[\addrSkipHeight]
      Email:     & \emailaddr
    \end{tabular}}\par}
\newlength{\ruleLength}
\setlength{\ruleLength}{\linewidth}
\addtolength{\ruleLength}{152mm}

\newcommand{\uoclogo}{%
  \makebox[\textwidth][l]{%
    \makebox[0pt][l]{%
      \hspace{-\linewidth}%
      \rule[26.3mm]{\ruleLength}{0.5pt}%
      \hspace{1.15cm}%
      \includegraphics[width=3.5cm, height=2.65cm]{logo.ps}}%
    \raisebox{3\nameSkipHeight}{%
      \putAddr}}
  \par}
\renewcommand{\maketitle}{%
  \raisebox{0pt}[0pt][0pt]{%
    \noindent%
    \uoclogo}%
  \par\noindent%
  \hspace{-2.22pt}%
  \MainFields\par%
  \vspace{6pt}\noindent}
\setlength{\voffset}{-1in}
\setlength{\topmargin}{2.3cm}
\setlength{\hoffset}{-1in}
\setlength{\oddsidemargin}{3cm}
\setlength{\textwidth}{432pt}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0.7em}
\setlength\parindent{0\p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\endinput
%%
%% End of file `uocmemo.cls'.
